Bug 33964 - Added RenderMathMLBlock as based object for MathML
Summary: Added RenderMathMLBlock as based object for MathML
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 3251
  Show dependency treegraph
 
Reported: 2010-01-21 12:07 PST by Alex Milowski
Modified: 2010-02-10 22:45 PST (History)
2 users (show)

See Also:


Attachments
RenderMathMLBlock Patch (94.49 KB, patch)
2010-01-21 12:08 PST, Alex Milowski
hyatt: review-
Details | Formatted Diff | Diff
Update to patch to address issues (94.16 KB, patch)
2010-01-21 15:42 PST, Alex Milowski
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Milowski 2010-01-21 12:07:48 PST
This patch adds a new base render object for inline-block elements of MathML.  It also sets up the necessary bits for all the rendering objects to follow.
Comment 1 Alex Milowski 2010-01-21 12:08:43 PST
Created attachment 47135 [details]
RenderMathMLBlock Patch
Comment 2 Dave Hyatt 2010-01-21 14:25:24 PST
Comment on attachment 47135 [details]
RenderMathMLBlock Patch

In RenderMathMLBlock::styleDidChange, why are you marking the block as needing layout and pref width recalc always?  That's really inefficient. I'm also not clear on wny it's necessary.  Isn't the style diff doing the right thing in the base classes?

In isChildAllowed you don't have to do ? true : false.  Just return the conditional itself.

stretchToHeight would be cleaner using a for loop to walk the children in my opinion.

for (RenderObject* current = firstChild(); current; current = current->nextSibling());

It seems like makeBlockStyle should return a PassRefPtr, since you're wanting to have it be set on some RenderObject presumably.
Comment 3 Alex Milowski 2010-01-21 15:42:28 PST
Created attachment 47154 [details]
Update to patch to address issues

The styleDidChange method was removed.  It isn't necessary in the code.

The other changes have been made.
Comment 4 Dave Hyatt 2010-01-22 10:01:54 PST
Comment on attachment 47154 [details]
Update to patch to address issues

r=me
Comment 5 WebKit Commit Bot 2010-01-22 23:12:06 PST
Comment on attachment 47154 [details]
Update to patch to address issues

Clearing flags on attachment: 47154

Committed r53764: <http://trac.webkit.org/changeset/53764>
Comment 6 WebKit Commit Bot 2010-01-22 23:12:11 PST
All reviewed patches have been landed.  Closing bug.